//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USEFORM("UnitMain.cpp", FormMain);
USEFORM("UnitSources.cpp", FormSources);
USEFORM("UnitSampleRate.cpp", FormSampleRate);
USEFORM("UnitPreview.cpp", FormPreview);
USEFORM("UnitAudioPreview.cpp", FrameAudioPreview); /* TFrame: File Type */
USEFORM("UnitVideoPreview.cpp", FrameVideoPreview); /* TFrame: File Type */
USEFORM("UnitRecording.cpp", FormRecording);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->Title = "DV Capture";
     Application->CreateForm(__classid(TFormMain), &FormMain);
		Application->CreateForm(__classid(TFormSources), &FormSources);
		Application->CreateForm(__classid(TFormSampleRate), &FormSampleRate);
		Application->CreateForm(__classid(TFormPreview), &FormPreview);
		Application->CreateForm(__classid(TFormRecording), &FormRecording);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return 0;
}
//---------------------------------------------------------------------------
